CommandRegistry (Grails 6.0.0)

Package: org.grails.cli.profile.commands

## [Groovy] Class CommandRegistry

- org.grails.cli.profile.commands.CommandRegistry

-     @groovy.transform.CompileStatic
      class CommandRegistry
      extends java.lang.Object

  Registry of available commands

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static java.util.List<CommandFactory>` | `registeredCommandFactories` |
    `private static java.util.Map<java.lang.String, Command>` | `registeredCommands` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CommandRegistry ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `()`
    `` | `static java.util.Collection<Command>` | `findCommands(ProfileRepository repository)`
    `` | `static java.util.Collection<Command>` | `findCommands(Profile profile, boolean inherited)`
    `` | `static Command` | `getCommand(java.lang.String name, ProfileRepository repository)` Returns a command for the given name and repository

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private static java.util.List<CommandFactory> registeredCommandFactories

    - #### private static java.util.Map<java.lang.String, Command> registeredCommands

  - ### Constructor Detail

    - #### CommandRegistry()

  - ### Method Detail

    - #### static void ()

    - #### static java.util.Collection<Command> findCommands(ProfileRepository repository)

    - #### static java.util.Collection<Command> findCommands(Profile profile, boolean inherited)

    - #### static Command getCommand(java.lang.String name, ProfileRepository repository)

      Returns a command for the given name and repository

      Parameters:
        `name` - The command name
        `repository` - The ProfileRepository instance
      Returns:
        A command or null of non exists